import fetch from "@/utils/fetch";

export default {
  // ----------------------------医院信息管理--------------------
  addOrUpdateHospital(data) {
    //新增或者修改一条医院信息
    return fetch({
      url: "/Hospital/addOrUpdateHospital",
      method: "POST",
      data,
    });
  },

  getHospitalList(data) {
    // 获取所有医院信息列表
    return fetch({
      url: "/Hospital/getHospitalList",
      method: "POST",
      data,
    });
  },

  getHospitalById(params) {
    // 查询一条医院信息
    return fetch({
      url: "/Hospital/getHospitalById",
      method: "GET",
      params,
    });
  },

  deleteHospitalById(params) {
    // 删除一条医院信息
    return fetch({
      url: "/Hospital/deleteHospitalById",
      method: "GET",
      params,
    });
  },
};